Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaTestCaseWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaTestCaseWriter

All Implemented Interfaces:
  Generator

public class JavaTestCaseWriter
extends JavaClassWriter

This is Wsdl2java's TestCase writer. It writes the TestCase.java file.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`protected` | `JavaTestCaseWriter(Emitter emitter, ServiceEntry sEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Returns "extends junit.framework.TestCase ".
`void` | `writeBindingAssignment(java.io.PrintWriter pw, java.lang.String bindingType, java.lang.String portName)` Method writeBindingAssignment
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the TestCase file.
`protected void` | `writeServiceTestCode(java.io.PrintWriter pw, java.lang.String portName, javax.wsdl.PortType portType, BindingEntry bEntry)` Method writeServiceTestCode

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaTestCaseWriter

    protected JavaTestCaseWriter(Emitter emitter,
                                 ServiceEntry sEntry,
                                 SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `sEntry` -
  `symbolTable` -

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends junit.framework.TestCase ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the TestCase file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeServiceTestCode

    protected final void writeServiceTestCode(java.io.PrintWriter pw,
                                              java.lang.String portName,
                                              javax.wsdl.PortType portType,
                                              BindingEntry bEntry)

  Method writeServiceTestCode

  Parameters:
    `pw` -
    `portName` -
    `portType` -
    `bEntry` -

### writeBindingAssignment

    public final void writeBindingAssignment(java.io.PrintWriter pw,
                                             java.lang.String bindingType,
                                             java.lang.String portName)

  Method writeBindingAssignment

  Parameters:
    `pw` -
    `bindingType` -
    `portName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.